// $Id: AudioClipAgentImpl.java,v 1.1 2000/05/18 22:04:48 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.
package net.hivecell.hive.agent.desktop;

import net.hivecell.hive.agent.EventReceivingAgentImpl;
import net.hivecell.hive.agent.EventReceivingDescription;
import net.hivecell.hive.event.HiveEvent;
import net.hivecell.hive.support.Debug;

// This is stupid that I need to include this
import sun.applet.*; 
import java.awt.*;
import java.net.*;
import java.util.*;

public class AudioClipAgentImpl 
extends EventReceivingAgentImpl 
implements AudioClipAgent {

    AppletAudioClip audio = null;
    String audioURL = new String( "http://nelson.www.media.mit.edu/people/nelson/tmp/sounds/birdies.au" );

    public AudioClipAgentImpl() throws java.rmi.RemoteException { super(); }
  
    /**
     * Get the value of audioURL.
     *
     * @return Value of audioURL.
     */
    public String getAudioURL() { return audioURL; }
    
    /**
     * Set the value of audioURL.
     *
     * @param v Value to assign to audioURL.
     */
    public void setAudioURL( String v ) {
	this.audioURL = v;
	try {
	    audio = new AppletAudioClip( new URL( audioURL ) );
	} catch( Exception e ) { 
	    Debug.error( "Couldn't get the clip: " + e );
	}
    }

    public void doBehavior() { waitUntilDeath(); }

    /**
     * this is saying that we do not look for a specific type of event
     * class -- anything will do just fine 
     */
    public Class[] getAgentSpecificEventClasses() { return null; }

    public synchronized void notify( HiveEvent event ) {
	audio.stop();
	audio.play();
    }
}
