// $Id: ChatAgent.java,v 1.1 2000/05/18 22:04:48 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

/** Interface for ChatAgentImpl
 **/

package net.hivecell.hive.agent.desktop;

import java.rmi.RemoteException;
import java.util.*;

import net.hivecell.hive.agent.TwoWayConnectionAgent;


public interface ChatAgent extends TwoWayConnectionAgent {
    
    public String getChatName() throws RemoteException;
    
    public void addToPrivateList(ChatAgent otherAgent) throws RemoteException;
    public void removeFromPrivateList(ChatAgent otherAgent) throws RemoteException;

    public void addToConnectedList(ChatAgent newAgent) throws RemoteException;
    public String removeFromConnectedList(ChatAgent oldAgent) throws RemoteException;
    public void clearPrivateList() throws RemoteException;

    public int getUID() throws RemoteException;

};
