// $Id: PointColor.java,v 1.1 2000/05/18 22:04:48 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent.desktop;

/** Helper class for RandomDotAgent, encapsulates dot information.
 ** All numbers are in [0,1.0)
 **
 ** @version $Revision: 1.1 $
 **/
public class PointColor extends Object implements java.io.Serializable {
  public float x, y, color;

  public PointColor(float x, float y, float color) {
    this.x = x;
    this.y = y;
    this.color = color;
  }
}
