// $Id: WebImageAgent.java,v 1.1 2000/05/18 22:04:58 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent.image;
import net.hivecell.hive.support.*;
import java.awt.*;
import java.net.*;

import java.rmi.Remote;
import java.rmi.RemoteException;

/** This class retrieves Images from the net and makes them available as a ImageSource.
 * 
 * @author Oliver Roup (oroup@mit.edu)
 */
public interface WebImageAgent
extends Remote {
    
    /** 
     * Get the value of imageURL.
     * 
     * @return Value of imageURL.
     */
    public String getImageURL() throws RemoteException;
    
    /** 
     * Set the value of imageURL.
     * 
     * @param v Value to assign to imageURL.
     */
    public void setImageURL(String  v) throws RemoteException;

}





