// $Id: StockGrabber.java,v 1.1 2000/05/18 22:05:06 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.support.pocketserver;

public interface StockGrabber {

	// Methods for getting data from the stock web site
	public double getHigh(String symbolstring);
	public double getLow(String symbolstring);
	public double getClose(String symbolstring);
	public double getPrevClose(String symbolstring);
	public double getNetChange(String symbolstring);
	public double getVolume(String symbolstring);
	
	// To string method returns the root website of the stock grabber
	public String toString();
}
