// $Id: AgentInitializationException.java,v 1.1 2000/05/19 19:55:53 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent;

public class AgentInitializationException
extends Exception {

    private Exception exception;

    public AgentInitializationException() { super(); }
    public AgentInitializationException( String message ) { super( message ); }

    public AgentInitializationException( Exception error ) { this.exception = error; }
    public AgentInitializationException( String message, Exception error ) {
	super( message );
	this.exception = error;
    }

    public Exception getError() { return this.exception; }
}
