// $Id: EventSendingErrorListener.java,v 1.1 2000/05/18 22:00:49 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent;

public interface EventSendingErrorListener {

    /**
     * Use this as a callback for notification that something went
     * wrong with sending the event to the agent
     *
     * @param o the object that we are having a problem sending stuff to
     * @param error the exception that was sent out 
     */
    public void eventSendingError( Object o, Exception error );

}
