// $Id: TwoWayConnectionAgent.java,v 1.1 2000/05/18 22:00:49 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent;

import java.rmi.RemoteException;

//import net.hivecell.hive.*;
import net.hivecell.hive.agent.Agent;
import net.hivecell.hive.agent.EventTransceivingAgent;


public interface TwoWayConnectionAgent extends EventTransceivingAgent {

    //    public static final boolean connecting = false;  // Are you being called by another TWCAI?

    public void setConnecting() throws RemoteException;
    public void setDisconnecting() throws RemoteException;
    
    public boolean connectTo(Agent otherAgent) throws RemoteException;
    
    public void disconnectFrom(Agent otherAgent) throws RemoteException;
};
