// $Id: UnableToMonitorCellException.java,v 1.1 2000/05/18 22:00:51 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent.cell;

/**
 * This class is a wrapper to the exceptions that the agent might
 * encounter when trying to monitor another agent 
 */
public class UnableToMonitorCellException
extends Exception {

    private Exception thrownException; // the wrapped exception

    public UnableToMonitorCellException() { super(); }
    public UnableToMonitorCellException( String message ) { super( message ); }
    public UnableToMonitorCellException( String message, Exception error ) { 
	super( message ); 
	this.thrownException = error;
    }

    public Exception getThrownException() { return thrownException; }

}
