// $Id: UnableToCreateTreeException.java,v 1.1 2000/05/18 22:00:52 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent.hiveui;

/**
 * this exception is just used whenever we cannot create a tree for a
 * given data model 
 */
public class UnableToCreateTreeException
extends Exception {

    private Exception error;

    public UnableToCreateTreeException() { super(); }
    public UnableToCreateTreeException( String message ) { super( message ); }
    public UnableToCreateTreeException( Exception error ) { super(); this.error = error; }
    public UnableToCreateTreeException( String message, Exception error ) { super( message ); this.error = error; }

    public Exception getException() { return this.error; }

}
