// $Id: RemoteEventListener.java,v 1.1 2000/05/18 22:01:07 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.event;

/** The RemoteEventListener interface is the interface implemented by
 ** anyone who wants to receive events from a remote source.
 ** This interface is part of the Jini Distributed Event system;
 ** if we integrate Jini, this interface should be removed.
 **
 ** @version $Revision: 1.1 $
 ** @author Nelson Minar <nelson@media.mit.edu>
 **/
public interface RemoteEventListener extends java.rmi.Remote, java.util.EventListener {
  /** Called when an event is sent from a source. */
  void notify(RemoteEvent theEvent) throws java.rmi.RemoteException, UnknownEventException;
}

    
