// $Id: AgentGraphEdge.java,v 1.1 2000/05/18 22:01:17 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.support;

import net.hivecell.hive.agent.Agent;

/**
 * This is basically a struct that is used to represent a connection
 * between two agents in the graph
 */
public class AgentGraphEdge 
extends Object {

    private Agent a, b;

    public AgentGraphEdge( Agent a, Agent b ) {
	
	this.a = a;
	this.b = b;

    }

    public Agent getSourceAgent() { return this.a; }
    public Agent getDestinationAgent() { return this.b; }

    public String toString() { return "AgentGraphEdge: " + a + " to " + b; }

}
