// $Id: VariablePropertyManipulationException.java,v 1.1 2000/05/18 22:01:17 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.support;

/**
 * this exception is the general exception for hive "bean" related problems
 */
public class VariablePropertyManipulationException
extends Exception {

    private Exception error;

    public VariablePropertyManipulationException() { super(); }
    public VariablePropertyManipulationException( String message ) { super( message ); }
    public VariablePropertyManipulationException( Exception error ) { this.error = error; }
    public VariablePropertyManipulationException( String message, Exception error ) { super( message ); this.error = error; }
    
    public Exception getException() { return this.error; }

}
