// $Id: DJAgent.java,v 1.1 2000/05/18 22:04:47 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent;

import net.hivecell.hive.agent.desktop.MusicPlayingAgent;

import java.rmi.RemoteException;
import java.util.Vector;

/** 
 * Interface for DJAgent
 */
public interface DJAgent 
extends DisplayExportingAgent, EventReceivingAgent, MusicPlayingAgent {

    /** Requests that a song be queued for playing **/
    public void requestSong( Agent requestingAgent, String song ) throws RemoteException;
    public boolean getPlayingSong() throws RemoteException;
    public void removeRequests( Agent requestingAgent ) throws RemoteException;

    
}
