// $Id: ChatDisplayContainer.java,v 1.1 2000/05/18 22:04:48 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

/** Helper class: ChatAgent UI
 **
 ** Two Modes (currently), Swing (very Slow)
 ** and AWT (very ugly).
 ** Any chat UI must override these methods:
 **/

package net.hivecell.hive.agent.desktop;

import net.hivecell.hive.agent.desktop.ChatAgent;

public interface ChatDisplayContainer {
    
    public void displayIncomingMessage(String imsg);
    public void displayOutgoingMessage(String omsg);
    public void addChatAgent(ChatAgent newCA);
    // Returns the name of the agent that it is removing.
    public String removeChatAgent(ChatAgent oldCA);
}
