// $Id: ChatGroupServerAgent.java,v 1.1 2000/05/18 22:04:48 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

/** Interface for ChatGroupServerAgent's
 **/

package net.hivecell.hive.agent.desktop;

import java.rmi.RemoteException;
import java.util.*;

import net.hivecell.hive.agent.TwoWayConnectionAgent;
import net.hivecell.hive.agent.desktop.ChatMessage;
import net.hivecell.hive.agent.Agent;


public interface ChatGroupServerAgent extends TwoWayConnectionAgent {

  public String getGroupName() throws RemoteException;

  public Vector getConnected() throws RemoteException;
  public Vector getChatAgents() throws RemoteException;

  public void addChatAgentNotify(ChatAgent newAgent) throws RemoteException;
  public void removeChatAgentNotify(ChatAgent oldAgent) throws RemoteException;

  public ChatAgent getAgent(String agentName) throws RemoteException;
  public boolean isAgentConnected(Agent agentName) throws RemoteException;
};


