// $Id: FileGrowthInfoAgentImpl.java,v 1.2 2000/05/19 19:55:27 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent.desktop;

import net.hivecell.hive.agent.GenericSignalPassthroughAgentImpl;
import net.hivecell.hive.support.Debug;
import net.hivecell.hive.agent.AgentInitializationException;


/** A class that watches a file growth shadow and sends out events. **/
public class FileGrowthInfoAgentImpl 
extends GenericSignalPassthroughAgentImpl {

    public FileGrowthInfoAgentImpl() 
    throws java.rmi.RemoteException { super(); }
    
    public void doLocalSetup() throws AgentInitializationException  {
        setShadowType( "net.hivecell.hive.shadow.sysinfo.FileGrowthShadow" );
        super.doLocalSetup();
    }
}


