// $Id: ContrastFilterAgent.java,v 1.1 2000/05/18 22:04:58 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.


package net.hivecell.hive.agent.image;

import net.hivecell.hive.support.*;
import java.awt.*;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface ContrastFilterAgent
extends Remote {

    /**
     * Get the value of contrast.
     * @return Value of contrast.
     */
    public float getContrast() throws RemoteException;
    
    /**
     * Set the value of contrast.
     * @param v  Value to assign to contrast.
     */
    public void setContrast(float v) throws RemoteException;
    
}
