// $Id: FileStreamShadow.java,v 1.1 2000/05/18 22:05:03 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.shadow;

import net.hivecell.hive.cell.Cell;
import net.hivecell.hive.support.Debug;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;


public interface FileStreamShadow
extends StreamShadow {

    /**
     * set the name of the file we want to communicate through
     *
     * @param s the name of the file
     */
    public void setFileName( String s );

    /**
     * get the name of the file we want to communicate through
     *
     * @return the name of the file
     */
    public String getFileName();

    public boolean isDeviceThere();

}
