// $Id: EventMaskWrapper.java,v 1.1 2000/05/18 22:00:49 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent;  

// this is going to be used as a struct just so we can hold around the
// event mask
public class EventMaskWrapper {

    private EventReceivingAgent a;
    private long eventMask;

    public EventMaskWrapper( EventReceivingAgent a, long eventMask ) {
	this.a = a;
	this.eventMask = eventMask;
    }

    public EventReceivingAgent getAgent() { return this.a; }
    public long getEventMask() { return this.eventMask; }

}
