// $Id: EventReceivingAgent.java,v 1.1 2000/05/18 22:00:49 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.agent;
import net.hivecell.hive.event.*;

/** Interface for agents that receive events from other agents.
 ** @see RemoteEvent
 ** @see EventSendingAgent
 **
 ** @version $Revision: 1.1 $
 ** @author Nelson Minar <nelson@media.mit.edu>
 **/
public interface EventReceivingAgent extends Agent, RemoteEventListener {
  /** Called when an event is sent from a source. **/
  void notify(HiveEvent theEvent) throws java.rmi.RemoteException, UnknownEventException;
}
