// $Id: AgentDescriptionPair.java,v 1.1 2000/05/18 22:01:03 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.cell;

import net.hivecell.hive.agent.Agent;
import net.hivecell.hive.description.Description;

/**
 * This class is used to transport an agent around with its own
 * description.  It is for ineternal use ponly and mainly for the
 * caching between the server and the AgentMonitoringAgent
 */
public class AgentDescriptionPair {

    private Agent a;
    private Description d;

    public AgentDescriptionPair( Agent a, Description d ) {
	this.a = a;
	this.d = d;
    }

    public Agent getAgent() { return this.a; }
    public Description getDescription() { return this.d; }

}
