package net.hivecell.hive.cell;

/**
 * use this to signal that this cell is rejecting the mobile agent 
 */
public class DenyMobileAgentException 
extends Exception {

    /** 
     * the internal exception
     */
    protected Exception ex;

    public DenyMobileAgentException() { super(); }
    public DenyMobileAgentException( String message ) { super( message ); }
    public DenyMobileAgentException( Exception ex ) { this.ex = ex; }
    public DenyMobileAgentException( String message, Exception ex ) { super( message ); this.ex = ex; }

    public Exception getException() {
	return ex;

    }

}
