// $Id: RemoteDescribable.java,v 1.1 2000/05/18 22:01:06 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.description;

import java.rmi.RemoteException;
import java.rmi.Remote;

/** Objects that can have Description's implement this interface.
 * 
 */
public interface RemoteDescribable 
extends Remote {
    public Description getDescription()
    throws RemoteException;

    public void setDescription( Description d )
    throws RemoteException;

}
