// $Id: ProcessStreamShadow.java,v 1.1 2000/05/18 22:01:12 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.shadow;

import net.hivecell.hive.cell.Cell;
import net.hivecell.hive.support.Debug;

import java.lang.Process;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.StringTokenizer;

public interface ProcessStreamShadow
extends StreamShadow {

    /**
     * get which command we are using for this stream shadow
     *
     * @return the command that we are using to communicate to the process
     */
    public String getProcessCommand();

    /**
     * set which command we are using for the stream shadow
     *
     * @param command the name of the command we are using
     */
    public void setProcessCommmand( String command );

}


