// $Id: ShadowInitializationException.java,v 1.1 2000/05/18 22:01:12 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.shadow;

public class ShadowInitializationException
extends Exception {

    private Exception exception;

    public ShadowInitializationException() { super(); }
    public ShadowInitializationException( String message ) { super( message ); }

    public ShadowInitializationException( Exception error ) { this.exception = error; }
    public ShadowInitializationException( String message, Exception error ) {
	super( message );
	this.exception = error;
    }

    public Exception getError() { return this.exception; }

}
