package net.hivecell.hive.shadow;

/**
 * this is the exception that is thrown if anything goes wrong while
 * trying to create the stub for a shadow.  it is a runtime exception
 * becuase if something went wrong, this is not something that can be
 * dealt with at compile time 
 */
public class ShadowStubInstantiationException
extends RuntimeException {

    public ShadowStubInstantiationException() { super(); }
    public ShadowStubInstantiationException( String message ) { super( message ); }

}
