// $Id: StreamShadow.java,v 1.1 2000/05/18 22:01:12 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.shadow;

/**
 * a streamshadow is a class that implements a wire protocol for
 * communication with a device or external program and exposes the
 * functionality to agents.
 */
public interface StreamShadow
extends Shadow {

    /**
     * query the shadow as to whether or not the device is still
     * connected.  this allows the server to remove shadows that are
     * no longer connected to devices.  in practice, implementations
     * should err on the side of returning true, rather than false.
     */
    public boolean isDeviceThere();

}


