// $Id: HTTPServerShadow.java,v 1.1 2000/05/18 22:01:15 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.shadow.cell;

import net.hivecell.hive.shadow.Shadow;
import net.hivecell.hive.shadow.EventPublisherShadow;

public interface HTTPServerShadow
extends EventPublisherShadow {

    /**
     * Find out the port the http server is on
     *
     * @return the port number
     */
    public int getPort();

    /**
     * Find out what is our codebase
     */
    public String getCodebase();

}
