// $Id: AsyncCallNotCompleteException.java,v 1.1 2000/05/18 22:01:20 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.support.async;

/**
 * This is the exception thrown if the asyncronous call was not
 * completed by the caller.  This could be thrown for many reasons,
 * including if the callee is remote and is hanging from the RMI call 
 */
public class AsyncCallNotCompleteException
extends Exception {

    public AsyncCallNotCompleteException() { 
	super();
    }

    public AsyncCallNotCompleteException( String message ) {
	super( message );
    }

}
