// $Id: MenuItem.java,v 1.1 2000/05/18 22:01:22 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.support.menu;

/**
 * this is a leaf in the menu tree.  you can call invoke on this
 * object and it will "do its stuff" 
 */
public interface MenuItem
extends MenuObject {

    /**
     * just cause this menu item to do its stuff
     *
     * @return true if the command wwas invoked, false otherwise
     */
    public boolean invoke();

}
