// $Id: MenuObject.java,v 1.1 2000/05/18 22:01:22 tucker Exp $
// Hive. Copyright (c) 1998-1999, The Massachusetts Institute of Technology.
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package net.hivecell.hive.support.menu;

/**
 * this is the interface of the thing that is actually in the menu.
 * all it supports is getting the name to put it up as.  the two
 * subclasses of this, MenuItem and MenuFolder will do the real stuff 
 */
public interface MenuObject 
extends MenuElement {

    /**
     * get the name of the menu object
     * 
     * @return the name of the menu object
     */
    public String getName();

}
